package com.goafanti.customer.bo;

import com.goafanti.Interview.bo.selectByUidAidBo;
import com.goafanti.common.model.OrganizationContactBook;
import com.goafanti.common.model.UserArchives;
import com.goafanti.common.model.UserInterviewProjectBo;

import java.util.List;

public class UserArchivesDetails extends UserArchives {
    private String industryName;
    private String industry;
    private String orgCode;
    private String businessScope;
    private String intendedProject;
    private String nickname;
    private Integer myUser;
    private Integer newChannel;
    private Integer channelType;
    private Integer signBills;
    private Integer LocationProvince;
    private Integer LocationCity;
    private Integer LocationArea;
    private String LocationProvinceName;
    private String LocationCityName;
    private String LocationAreaName;
    private List<UserInterviewProjectBo> projectList;

    public List<UserInterviewProjectBo> getProjectList() {
        return projectList;
    }

    public void setProjectList(List<UserInterviewProjectBo> projectList) {
        this.projectList = projectList;
    }

    public String getLocationProvinceName() {
        return LocationProvinceName;
    }

    public void setLocationProvinceName(String locationProvinceName) {
        LocationProvinceName = locationProvinceName;
    }

    public String getLocationCityName() {
        return LocationCityName;
    }

    public void setLocationCityName(String locationCityName) {
        LocationCityName = locationCityName;
    }

    public String getLocationAreaName() {
        return LocationAreaName;
    }

    public void setLocationAreaName(String locationAreaName) {
        LocationAreaName = locationAreaName;
    }

    public Integer getLocationProvince() {
        return LocationProvince;
    }

    public void setLocationProvince(Integer locationProvince) {
        LocationProvince = locationProvince;
    }

    public Integer getLocationCity() {
        return LocationCity;
    }

    public void setLocationCity(Integer locationCity) {
        LocationCity = locationCity;
    }

    public Integer getLocationArea() {
        return LocationArea;
    }

    public void setLocationArea(Integer locationArea) {
        LocationArea = locationArea;
    }

    private List<selectByUidAidBo> interviewList;

    public List<selectByUidAidBo> getInterviewList() {
        return interviewList;
    }

    public void setInterviewList(List<selectByUidAidBo> interviewList) {
        this.interviewList = interviewList;
    }

    public Integer getSignBills() {
        return signBills;
    }

    public void setSignBills(Integer signBills) {
        this.signBills = signBills;
    }

    public Integer getNewChannel() {
        return newChannel;
    }

    public void setNewChannel(Integer newChannel) {
        this.newChannel = newChannel;
    }

    public Integer getChannelType() {
        return channelType;
    }

    public void setChannelType(Integer channelType) {
        this.channelType = channelType;
    }

    public Integer getMyUser() {
        return myUser;
    }

    public void setMyUser(Integer myUser) {
        this.myUser = myUser;
    }

    List<OrganizationContactBook> contactList;

    public String getIndustry() {
        return industry;
    }

    public void setIndustry(String industry) {
        this.industry = industry;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getIndustryName() {
        return industryName;
    }

    public void setIndustryName(String industryName) {
        this.industryName = industryName;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getBusinessScope() {
        return businessScope;
    }

    public void setBusinessScope(String businessScope) {
        this.businessScope = businessScope;
    }

    public String getIntendedProject() {
        return intendedProject;
    }

    public void setIntendedProject(String intendedProject) {
        this.intendedProject = intendedProject;
    }

    public List<OrganizationContactBook> getContactList() {
        return contactList;
    }

    public void setContactList(List<OrganizationContactBook> contactList) {
        this.contactList = contactList;
    }
}
